// version 1.005
// Options used by the course
var mphAssessScore = {};
var mphFdbck = {};
var mphMem = {};
var mphObj = {};
var mphPrefs = {};
var mphRandom = {};

mphObj.mphname = "";
mphObj.mphID = "";
mphObj.mphpwd = "";
mphObj.progBarWidth = 398;
mphObj.btnDoneHeight = 47;
mphObj.btnPlayStopHeight = 47;
mphObj.timerOffSet = 37;
// The colour of the line in Match the Pairs questions
mphObj.lineColour = "#0000ff";
// The colour of the shadow line in Match the Pairs questions
mphObj.lineShadow = "#808080";
mphPrefs.mainMenuOnlyListMenu = false;
mphPrefs.mainMenuDontAllowImages = false;
mphPrefs.title = "Handover";
mphPrefs.menuTitles = ["Introduction", "Handover Process", "Communication Style", "Glossery of Terms", "References", "Assessment"];
mphPrefs.menuTitlesTopDisplay = ["", "", "", "", "", ""];;

mphPrefs.navTitles = ["", "", "", ""];
mphPrefs.intDefaultFdbck = new Array("No, the correct answer is now shown.", "Yes, that is the correct answer.");
mphPrefs.assDefaultFdbck = new Array("No, the correct answer is now shown.", "Yes, that is the correct answer.");

/* custom feedback for specific questions */
mphFdbck["1_6q"] = ["No, the correct answer is now shown.", "Yes, that is correct."];
mphFdbck["1_8q"] = ["They are all potential risks to be considered", "Yes, that is correct, they are all potential risks to be considered"];
mphFdbck["1_10q"] = ["Consider your answer in relation to the next screens", "Consider your answer in relation to the next screens"];
mphFdbck["1_13q"] = ["No, the correct answer is now shown.", "Yes, that is correct."];
mphFdbck["1_14q"] = ["Now consider your answer in relation to the next screen.", "Now consider your answer in relation to the next screen."];
mphFdbck["1_16q"] = ["While increasing age does lead to increasing experience, on its own age has not been shown to account for differences in communication.", "Yes, that is correct, on its own age has not been shown to account for differences in communication."];
mphFdbck["2_10q"] = ["No, the correct answer is now shown.", "Yes, that is correct."];
mphFdbck["2_15q"] = ["Note, this is the same type of information for each patient", "Note, this is the same type of information for each patient"];
mphFdbck["2_17q"] = ["Not quite, the correct answer is now shown.", "Yes, that is the correct answer."];















mphFdbck["6_8q"] = ["No, the correct answer is now shown - Current Medications is BACKGROUND rather than \"agree a plan\"", "Yes, that is the correct answer Current Medications is BACKGROUND"];
mphFdbck["6_9q"] = ["No, the correct answer is now shown.  when IDENTIFYING a patient you provide unique identification not diagnosis", "Yes, that is the correct answer, when IDENTIFYING a patient you provide unique identifiers"];
mphFdbck["6_10q"] = ["No, time limits communication but does not cause it to break down", "Yes, that is the correct answer."];
mphFdbck["6_11q"] = ["No, the correct answer is now shown. You clarify who will do what and by when", "Yes, that is the correct answer."];
mphFdbck["6_12q"] = ["No, the correct answer is now shown.the \"Read Back\" step in ISOBAR improves handover", "Yes, that is the correct answer. These are the \"Read Back\" step in ISOBAR"];



mphObj.projectPrefix = "handover";
mphObj.projectSuf = ".htm";

// image type (generally)
mphObj.imgExt = ".png";

//
/* General */
mphPrefs.courseName = "Handover";
mphPrefs.courseCode = "iSoBAR";
mphPrefs.courseDesc = "A process that provides a sequential approach to handover during an inter-hospital transfer";
mphPrefs.courseKeywords = "";
mphPrefs.courseAuthor = "Adele Lake, Department of Health";
mphPrefs.courseDate = "2008 (2nd edition 26 April 2009) ";
mphPrefs.indexDisplay = [1,1,1,1,1];
mphPrefs.courseObjectives = "";
mphPrefs.courseAudience = "";
// Is it a single topic course: [true, false]
mphPrefs.singleTopic = false;
//
// Buttons
mphPrefs.nextVisible = true;
mphPrefs.nextTime = null;
mphPrefs.backVisible = true;
mphPrefs.menuVisible = true;
mphPrefs.quitVisible = true;
mphPrefs.progressVisible = true;

//
// Interactivity
mphPrefs.showCorrect = true;
mphPrefs.multiAttempt = false;
mphPrefs.showFeedback = true;
mphPrefs.nextEnabled = false;
// Is the done button visible during a question [true, false] default true
mphPrefs.doneVisible = true;

mphPrefs.useMCToggleBtn = true;

// which topics have assessable questions
// [topic zero, one, two, three,...]
mphPrefs.assessable = [0,1,1,1,1,1,1];

// is there a final performance screen
//
// Assessment
// Is the last topic an assessment
mphPrefs.assessment = true;
//
mphPrefs.assessShowCorrect = true;
mphPrefs.assessFeedback = true;
mphPrefs.assessTimeLimit = false;
mphPrefs.assessTimeEach = null;
mphPrefs.assessTimeAll = null;
mphPrefs.showTimeRemaining = true;
mphPrefs.assessNumQuestions = 10;
mphPrefs.assessPassMark = 80;
mphPrefs.assessRandom = true;
mphPrefs.assessOptionsRandom = true;
// limit the number of assessment attempts (0 is no limit)
mphPrefs.assessTryLimit = 0;
//
// can a user go backwards from a question to a non-question
// by default, no (false)
mphPrefs.assessPrevToNonQuestion = false;
mphPrefs.assessNextEnabled = false;
mphPrefs.assessBackEnabled = false;
mphPrefs.assessMenuEnabled = true;
mphPrefs.assessDoneVisible = true;

// Can the state of questions be remembered
// They will only be remembered if: it's an assessment; it's not timed per question;
// the correct answer is not shown; feedback is not given; and, the Done button is visible
mphPrefs.assessMemory = false;
if (mphPrefs.assessment && (!mphPrefs.assessTimeLimit && mphPrefs.assessTimeEach==null) && !mphPrefs.assessShowCorrect && !mphPrefs.assessFeedback && mphPrefs.assessDoneVisible) {
	mphPrefs.assessMemory = true;
}
// Management
mphPrefs.signin = false;
mphPrefs.selfRegister = true;
mphPrefs.reqUsername = true;
mphPrefs.labelName = "Name";
mphPrefs.reqID = true;
mphPrefs.labelID = "Employee number";
mphPrefs.reqPwd = false;
mphPrefs.labelPwd = "HE or xxxx";
mphPrefs.labelPwd2 = "Re-enter Password";
// do you want data recorded
mphPrefs.record = false;
// email
mphPrefs.sendEmail = false;
mphPrefs.email = "wendy.mcintosh@health.wa.gov.au";
// local db
mphPrefs.localDB = false;
mphPrefs.table = "Table1"
// web db
mphPrefs.webDB = false;
// Connected to SCORM LMS
mphPrefs.LMS = false;
// resume
mphPrefs.allowResume = true;

/////////////
//Outline
//////////////////
mphPrefs.outline 				    = {};
mphPrefs.outline.activate 			    = false;
mphPrefs.outline.win 				= null;
mphPrefs.outline.label 					= "OUTLINE";
mphPrefs.outline.closeOnSelect 			= false;
mphPrefs.outline.width                    = 300;
mphPrefs.outline.height                   = 560;
mphPrefs.outline.left 					= "12px";
mphPrefs.outline.top 					    = "4px";
mphPrefs.outline.font 					= "Arial";
mphPrefs.outline.fontSize 			    = "10px";
mphPrefs.outline.weight					= "bold";
mphPrefs.outline.color 					= "#000000";
mphPrefs.nextBtnDelay                     = 0;
mphPrefs.completeTopicsInOrder            = false;
mphPrefs.autoProgress                     = true;
mphPrefs.expiry = {};
mphPrefs.expiry.set   = false;
mphPrefs.expiry.day   = 22;
mphPrefs.expiry.month = 4;
mphPrefs.expiry.year  = 2008;
mphPrefs.expiry.msg   = "This course has now expired";
mphPrefs.noNextAtTopicEnd = false;
mphPrefs.cmiExit = "suspend";
