// version 3.000 MM v.3
/**************************************************
 * metamorphosis javascript file
 * copyright, apixel pty ltd 2008
 * www.apixel.com
 **************************************************/
mphObj.expiryCheck = function() {
	if ( !mphPrefs.expiry.day || !mphPrefs.expiry.month || !mphPrefs.expiry.year
			|| isNaN(mphPrefs.expiry.day) || isNaN(mphPrefs.expiry.month) || isNaN(mphPrefs.expiry.year) ) return;
	
	var nowDate = new Date();
	var now 	= nowDate.getTime();
	
	var dateToCheck = new Date();
	dateToCheck.setYear( mphPrefs.expiry.year);
	dateToCheck.setMonth(mphPrefs.expiry.month-1);
	dateToCheck.setDate( mphPrefs.expiry.day);
	var checkDate = dateToCheck.getTime();
	
	if (now > checkDate) {
		if (mphPrefs.expiry.msg) alert(mphPrefs.expiry.msg);
		window.close();
		 if (window && !window.closed) {
			window.setTimeout("window.location.replace('about:blank')", 600);
		}
	}
};
if (mphPrefs.expiry && mphPrefs.expiry.set && !mphPrefs.LMS) mphObj.expiryCheck();
mphObj.expiryCheck = null;
/////////////////////////////////////////////////////////////////////////////////////////////////////////
// Main ///////////////////////////////////////////////////////////////////////////////
/************************************************/
// This passes the event to an object's prototype as an argument so that 
// 'this' refers to the object and not the event (in the prototype)
concat = function() {
	var result = [];
	for (var i = 0; i < arguments.length; i++)
		for (var j = 0; j < arguments[i].length; j++) result.push(arguments[i][j]);
	return result;
};
withoutFirst = function(sequence) {
	result = [];
	for (var i = 1; i < sequence.length; i++) result.push(sequence[i]);
	return result;
};
cons = function(element, sequence) {
	return concat([element], sequence);
};
Function.prototype.bind = function(object) {
	var method = this;
	var preappliedArguments = withoutFirst(arguments);
	return function(event) {
		if (typeof cons == 'undefined') return;
		return method.apply(object, cons(event || window.event, preappliedArguments));
	}
};
/************************************************/
/* JSON -  start */
if(!Object.prototype.toJSONString){Array.prototype.toJSONString=function(w){var a=[],i,l=this.length,v;for(i=0;i<l;i+=1){v=this[i];switch(typeof v){case'object':if(v){if(typeof v.toJSONString==='function'){a.push(v.toJSONString(w));}}else{a.push('null');}
break;case'string':case'number':case'boolean':a.push(v.toJSONString());}}
return'['+a.join(',')+']';};Boolean.prototype.toJSONString=function(){return String(this);};Date.prototype.toJSONString=function(){function f(n){return n<10?'0'+n:n;}
return'"'+this.getUTCFullYear()+'-'+
f(this.getUTCMonth()+1)+'-'+
f(this.getUTCDate())+'T'+
f(this.getUTCHours())+':'+
f(this.getUTCMinutes())+':'+
f(this.getUTCSeconds())+'Z"';};Number.prototype.toJSONString=function(){return isFinite(this)?String(this):'null';};Object.prototype.toJSONString=function(w){var a=[],k,i,v;if(w){for(i=0;i<w.length;i+=1){k=w[i];if(typeof k==='string'){v=this[k];switch(typeof v){case'object':if(v){if(typeof v.toJSONString==='function'){a.push(k.toJSONString()+':'+
v.toJSONString(w));}}else{a.push(k.toJSONString()+':null');}
break;case'string':case'number':case'boolean':a.push(k.toJSONString()+':'+v.toJSONString());}}}}else{for(k in this){if(typeof k==='string'&&Object.prototype.hasOwnProperty.apply(this,[k])){v=this[k];switch(typeof v){case'object':if(v){if(typeof v.toJSONString==='function'){a.push(k.toJSONString()+':'+
v.toJSONString());}}else{a.push(k.toJSONString()+':null');}
break;case'string':case'number':case'boolean':a.push(k.toJSONString()+':'+v.toJSONString());}}}}
return'{'+a.join(',')+'}';};(function(s){var m={'\b':'\\b','\t':'\\t','\n':'\\n','\f':'\\f','\r':'\\r','"':'\\"','\\':'\\\\'};s.parseJSON=function(filter){var j;function walk(k,v){var i;if(v&&typeof v==='object'){for(i in v){if(Object.prototype.hasOwnProperty.apply(v,[i])){v[i]=walk(i,v[i]);}}}
return filter(k,v);}
if(/^[,:{}\[\]0-9.\-+Eaeflnr-u \n\r\t]*$/.test(this.replace(/\\./g,'@').replace(/"[^"\\\n\r]*"/g,''))){j=eval('('+this+')');return typeof filter==='function'?walk('',j):j;}
throw new SyntaxError('parseJSON');};s.toJSONString=function(){if(/["\\\x00-\x1f]/.test(this)){return'"'+this.replace(/[\x00-\x1f\\"]/g,function(a){var c=m[a];if(c){return c;}
c=a.charCodeAt();return'\\u00'+
Math.floor(c/16).toString(16)+
(c%16).toString(16);})+'"';}
return'"'+this+'"';};})(String.prototype);}
/* JSON - end */
/************************************************/
/* cookie functions */
mphObj.createCookie = function(name,value,days) {
	if (!navigator.cookieEnabled) {
		alert("Cookies do not appear to be supported. This course uses cookies - some functionality will be lost.");
		return;
	}
	if (days) {
		var date = new Date();
		date.setTime(date.getTime()+(days*24*60*60*1000));
		var expires = "; expires="+date.toGMTString();
	}
	else var expires = "";
	document.cookie = name+"="+value+expires+"; path=/";
};
mphObj.readCookie = function(name) {
	if (!navigator.cookieEnabled) return;
	var nameEQ = name + "=";
	var ca = document.cookie.split(';');
	for(var i=0;i < ca.length;i++) {
		var c = ca[i];
		while (c.charAt(0)==' ') c = c.substring(1,c.length);
		if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
	}
	return null;
};
mphObj.eraseCookie = function(name) {
	createCookie(name,"",-1);
};
/************************************************/
// is the last topic an assessment
if (mphPrefs.assessment) mphPrefs.assessable[mphPrefs.assessable.length-1] = 1;

var mph = {};
mph.about = "The Main Mph Library";
/* Test for basic Dom support */
if (!document.getElementById || !document.createElement) {
	var msg = "Your browser does not support the functionality required by this course.\n"
		+ "If you continue the course will not perform correctly, if at all.\n\n"
		+ "Internet Explorer 5.5+, Mozilla 1.7+, and FireFox 1.0+ are compatible browsers.          \n\n"
	alert(msg);
}
//
mphObj.projectPre = mphObj.projectPrefix + "_";
mphObj.menu = mphObj.projectPre + p[0][0][ (p[0][0].length)-1] + mphObj.projectSuf;
mphObj.answer = null;
mphObj.buttons = [];
mphObj.circularProps = ["onmousedown","onmousemove","onmouseover","onmouseout","onmouseup","onkeypress","oncontextmenu","onclick","onload"];
//mphObj.circularPropsMore = [];
mphObj.count = 0;
mphObj.currPage = 0;
mphObj.currQtype = "";
mphObj.currTimeout = 0;
mphObj.currTopicNum = 0;
mphObj.detach = false;
mphObj.dontStopAtEnd = true;
mphObj.fontSize = "100%";
mphObj.innerStr = "";
mphObj.isIE = false;
mphObj.isIE6 = false;
mphObj.isIE7 = false;
mphObj.isFeedback = false;
mphObj.isMenu = false;
mphObj.isQuestion = false;
mphObj.isTest = false;
mphObj.judged = 0;
mphObj.LMSpath = "";
mphObj.mediaDiv = null;
mphObj.menuTopic = 0;
mphObj.mphCursor = "pointer";
mphObj.msg = "";
mphObj.next = "";
mphObj.normTotal = null;
mphObj.notes = {};
mphObj.nextBtnDelayID = null;
mphObj.numAssessTries = 0;
mphObj.pop = null;
mphObj.pos = null;
mphObj.prev = "";
mphObj.prevNonQuestion = true;
mphObj.progBar = null;
mphObj.question = null;
mphObj.questionOrder = [];
mphObj.questionTotal = null;
mphObj.refresh = true;
mphObj.rootPos = [];
mphObj.testTimer = 0;
mphObj.timeouts = [];
mphObj.timeCount = 0;
mphObj.timerID = [];
mphObj.topicCompleted = [];
mphObj.videoDiv = null;
mphObj.videoDiv2 = null;
mphObj.topicTitle = null;
mphObj.score = "no score";
mphObj.assessmentQuestions = new Array([],[],[]);
/*
 * Set the current topic and page number in the form "xxxx_topic_page"
 * 'topic' must be an integer
 * 'xxxx' and 'page' can be any alpha numeric string but must not contain an underscore.
 * Underscores are used as delimiters so a html file must be titled in the form "xxxx _ topic number _ page . htm[l]"
 */
// Returns the first found value in a single dim array
Array.prototype.find = function (val) {
   for (var i=0; i<this.length; i++) {
       if (this[i] == val) return i+1;
   }
   return 0;
};
// Returns the first found value, as an array, from a multi dim array
/* An array can either be an object or a function (varies by host),
 * but any array should have the Array object as its constructor.
 */
mph.isArray = function(o) {
	return ((o && ('object' == typeof o)) || ('function' == typeof o)) && (Array == o.constructor);
};
Array.prototype.findValue = function(v) {
	var i, j, n;
	for (i = 0, n = this.length; i < n; ++i) {
		// If the current element is an array...
		if (mph.isArray(this[i])) {
			// ...search it for matching values.
			j = this[i].findValue(v);
			// If the search was a success...
			if (j.length) {
				// ...create an array containing the index of the current element and append the result of searching the nested array.
				return [i].concat(j);
			}
			// If the current element matches the search value, return an array containing the index of thatelement.
		} else if (this[i] == v) {return [i];}
	}
	// If no matches have been found, return an empty array.
	return [];
}; 
// JSON parser
mph.parseJSONstring = function(str) {
	return str?str.parseJSON():"";
};
// This function shuffles (randomises) the elements in an array
// It's based on the Fisher Yates algorithm from PERL
mph.shuffleArray = function(myArray) {
	var i = myArray.length;
	while ( i-- ) {
		var j = Math.floor( Math.random() * ( i + 1 ) );
		var tempi = myArray[i];
		var tempj = myArray[j];
		myArray[i] = tempj;
		myArray[j] = tempi;
	}
	return myArray;
};
// Set question pages for assessment
// A randomised assessment topic *must* be in the form:
//	0 or more intro pages, then
//	1 or more question pages, and finally
//	1 or more feedback pages
mph.getAssessmentQuestions = function() {
	var topicNum = p.length - 1;
	var isQuest = false;
	var assessPage;
	var firstSeqQuest = false;
	for (var i=0; i<p[topicNum][0].length; i++) {
		assessPage = p[topicNum][0][i];
		if (assessPage.indexOf('q') != -1) {
			if (firstSeqQuest) { continue; }
			isQuest = true;
			mphObj.assessmentQuestions[1].push(assessPage);
		} else {
			if (!isQuest) {
				mphObj.assessmentQuestions[0].push(assessPage);
			} else {
				firstSeqQuest = true;
				mphObj.assessmentQuestions[2].push(assessPage);
			}
		}
	}
};
mph.getAssessmentQuestions();
mph.getAssessmentQuestions = null;
//
mph.clearAssessScore = function() {
	for (var i in mphAssessScore) {
		var tmp = mphObj.assessmentQuestions[1].find(i);
		if (tmp) delete mphAssessScore[i];
	}
};
//
mph.shuffleQuestions = function() {
	mphObj.assessmentQuestions[1] = mph.shuffleArray(mphObj.assessmentQuestions[1])
	p[p.length - 1][0] = mphObj.assessmentQuestions[0].concat(mphObj.assessmentQuestions[1],mphObj.assessmentQuestions[2]);
};
// List all questions in the Assessment
mph.listAssessQuestions = function() {
	mphObj.questionOrder = [];
	var topicNum = p.length - 1;
	var tmpList = p[topicNum].toString().split(",");
	var len = tmpList.length;
	for (var i=0; i<len; i++) {
		if ((tmpList[i].indexOf('q') != -1) && !mphObj.questionOrder.find(tmpList[i])) {
			mphObj.questionOrder.push(tmpList[i]);
		}
	}
};
// Get total number of questions in assessment
mph.getAssessQuestionsTotal = function() {
	var tmp = p[p.length-1].toString().split(",");
	var len = tmp.length, tmpList = [];
	for (var i=0; i<len; i++) {
		if ((tmp[i].indexOf('q') != -1) && !tmpList.find(tmp[i])) {
			tmpList.push(tmp[i]);
		}
	}
	return tmpList.length;
};
// Get total number of assessable questions in topics other than the assessment
mph.getNormQuestionsTotal = function() {
	var num = (mphPrefs.assessment ? p.length-1 : p.length);
	var topicNum = p.length - 1;
	var assessPage;
	var tmp, len, tmpList = [];
	for (var topicNum=0; topicNum<num; topicNum++) {
		if (!mphPrefs.assessable[topicNum]) continue;
		tmp = p[topicNum].toString().split(",");
		len = tmp.length;
		for (var i=0; i<len; i++) {
			if ((tmp[i].indexOf('q') != -1) && !tmpList.find(tmp[i])) {
				tmpList.push(tmp[i]);
			}
		}
	}
	return tmpList.length;
};
mphObj.normTotal = mph.getNormQuestionsTotal();
// find the Assessment feedback screen
mph.findAssessFeedback = function() {
	var fdbck = null;
	for (var topicNum=0; topicNum<p.length ; topicNum++) {
		for (var i=0; i<p[topicNum][0].length; i++) {
			if (p[topicNum][0][i].indexOf('f') != -1) {
				fdbck = mphObj.projectPre + p[topicNum][0][i] + mphObj.projectSuf;
				break;
			}
		}
		if (fdbck!=null) break;
	}
	if (fdbck==null) fdbck = mphObj.menu;
	return fdbck;
};
mphObj.feedback = mph.findAssessFeedback();
// returns a random positive integer between two limits (inclusive)
mph.randomNum = function(low,high) {
	return ( Math.floor(Math.random()*(high+1-low)) + low );
};
// Get only a subset of the total number of assessment questions
mph.subSetAssess = function() {
	if ( mphPrefs.assessNumQuestions>=mphObj.questionTotal ) return;
	if ( isNaN(mphPrefs.assessNumQuestions) ) return;
	if ( mphPrefs.assessNumQuestions<1 ) return;
	
	var topicNum = p.length - 1;
	var assessPage;
	var numToRemove = mphObj.questionTotal - mphPrefs.assessNumQuestions;
	
	for (var i=0; i<numToRemove; i++) {
		var tmp = mph.randomNum(0,mphObj.questionTotal-1);
		var counter = -1;
		for (var j=0; j<p[topicNum][0].length; j++) {
			assessPage = p[topicNum][0][j];
			if (assessPage.indexOf('q') != -1) {
				counter++;
				if ( counter==tmp ) {
					mphObj.questionTotal--;
					p[topicNum][0].splice(j,1);
					break;
				}
			}
		}
	}
	mph.listAssessQuestions();
};
mph.checkNumOfQuestions = function() {
	mph.listAssessQuestions();
	mphObj.questionTotal = mph.getAssessQuestionsTotal();
	if ( mphPrefs.assessNumQuestions>0 ) mph.subSetAssess();
};
// get the position relative to the root level of all pages
mph.rootLevelPos = function() {
	var currPos;
	var tmp;
	if (mphPrefs.singleTopic) {
			mphObj.rootPos[ p[0][0][0] ] = 0;
			for (var j=0; j<p[0].length; j++) {
				for (var k=1; k<p[0][j].length; k++) {
					if (j==0) { mphObj.rootPos[ p[0][j][k] ] = k; continue; }
					tmp = j;
					while (tmp>0) {
						currPos = mphObj.rootPos[ p[0][tmp][0] ];
						tmp--;
					}
					mphObj.rootPos[ p[0][j][k] ] = currPos;
				}
			}
	} else {
		for (var i=1; i<p.length; i++) {
			for (var j=0; j<p[i].length; j++) {
				for (var k=1; k<p[i][j].length; k++) {
					if (j==0) { mphObj.rootPos[ p[i][j][k] ] = k; continue; }
					tmp = j;
					while (tmp>0) {
						currPos = mphObj.rootPos[ p[i][tmp][0] ];
						tmp--;
					}
					mphObj.rootPos[ p[i][j][k] ] = currPos;
				}
			}
		}
	}
};
if (mphPrefs.assessment && mphPrefs.singleTopic) {
	if (mphPrefs.assessRandom) mph.shuffleQuestions();
	mph.checkNumOfQuestions();
	mph.clearAssessScore();
	mphObj.numAssessTries++;
}
mph.rootLevelPos();
mph.setCurrent = function(loc) {
	// reset window size if necessary
	if (screen.height >= 768) mph.resizeWin();
	mphObj.notes.location = loc;
	locstr = " "+loc;
	var tmp = locstr.split("_");
	mphObj.currTopicNum = parseInt(tmp[tmp.length-2],10);
	var tmp2 = tmp[tmp.length-1].split(".");
	mphObj.currPage = mphObj.currTopicNum + "_" + tmp2[0];
	
	mph.cleanUp();
	
	if ( mphObj.currPage.indexOf("q")!=-1 ) mphObj.isQuestion = true;
	if ( mphObj.currPage.indexOf("m")!=-1 ) mphObj.isMenu = true;
	if ( mphObj.currPage.indexOf("f")!=-1 ) mphObj.isFeedback = true;
	if (mphObj.isFeedback) mph.clearTestTimer();
	
	mph.setTopicTitle();
	
	// are we in an assessment topic
	if (mphPrefs.assessment && mphObj.currTopicNum==p.length-1) mphObj.isTest = true;
		else mphObj.isTest = false;
	
	if (!mphObj.isPreview) mphObj.pos = mph.getCurrent();
	// set the previous and next locations
	if (!mphObj.isPreview) mph.setPrevNextLoc();
	
	// activate nav highlights and move the progress bar, etc
	if (!mphPrefs.singleTopic && mphObj.currTopicNum==0) { // at main menu page(s)
		if (p[0][0].length==1) {
			mph.setNavHighlights([1,0,0,0]);
		} else {
			if (mphObj.currPage==p[0][0][0]) mph.setNavHighlights([1,0,0,1],true);
				else if (mphObj.currPage==p[0][0][(p[0][0].length)-1]) mph.setNavHighlights([1,0,1,0]);
				else mph.setNavHighlights([1,0,1,1],true);
		}
		// reset all questions and their scores
		for (var i in mphMem) delete mphMem[i];
		for (var i in mphRandom) delete mphRandom[i];
		mph.clearTestTimer();
	} else {
		if (mphPrefs.singleTopic && mphObj.currPage == p[0][0][0]) {
			// reset all questions and their scores
			for (var i in mphMem) delete mphMem[i];
			for (var i in mphRandom) delete mphRandom[i];
			mph.clearTestTimer();
			mph.setNavHighlights([1,0,0,1], true);
		} else {
			mph.checkNavHighlights()
		}
	}
	
	// if in assessment and the current page is a question and the previous page is not a question then disable the back button
	if (mphObj.isTest && mphObj.isQuestion && mphObj.prevNonQuestion && !mphPrefs.assessPrevToNonQuestion) {
		mphObj.buttons[2] = 0;
		mph.setNavHighlights(mphObj.buttons);
	}
	// move progress bar
	if (!mphObj.isPreview) mph.progressBar(mphObj.pos);
	
	// set time to move to next page
	if (!mphObj.isMenu && !mphPrefs.nextVisible && !mphObj.isQuestion && mphObj.dontStopAtEnd)
		mphObj.timeouts.push(setTimeout("mph.navOnclick(3)", mphPrefs.nextTime*1000) );
	
	// onunload clear circular event references leaking memory (in IE mainly)
	if (mphObj.isIE) {
		mphMain.document.body.onunload = function(){
			mph.flushEvents();
		};
	} else {
		mphMain.onunload = function(){
			mph.flushEvents();
		};
	}
	
	// store current pos
	if (!mphObj.isTest && mphPrefs.allowResume && mphPrefs.LMS) mph.storeCurrentLoc(loc);
	
	// stop at end
	if (!mphObj.dontStopAtEnd) mph.disableNext();
	mphObj.dontStopAtEnd = true;
};
mph.checkNavHighlights = function() {
	var tmpNavHi = [];
	tmpNavHi[0] = true;
	if (mphObj.isTest) {
		tmpNavHi[1] = mphPrefs.assessMenuEnabled;
		tmpNavHi[2] = mphPrefs.assessBackEnabled;
		tmpNavHi[3] = mphPrefs.assessNextEnabled;
	} else {
		tmpNavHi = [1,1,1,1];
	}
	
	if (mphObj.prev.indexOf("noback") != -1) tmpNavHi[2] = 0;
	
	// if non-question assessment page then enable Next
	if (mphObj.isTest && !mphObj.isQuestion && !mphPrefs.assessNextEnabled)
		tmpNavHi[3] = 1;
	mph.setNavHighlights(tmpNavHi, true);
	
	// if non-question assessment page then hide per-question timer
	if (mphObj.isTest && !mphObj.isQuestion && mphPrefs.assessTimeLimit && mphPrefs.assessTimeEach) mph.clearTestTimer();
};
// set the next and prev pages                          
mph.setPrevNextLoc = function() {
	if (mphObj.pos == null) { // maybe an error or already at main, return/stay on/to the main menu page
		mphObj.prev = mphObj.menu;
		if (mphPrefs.singleTopic) mphObj.next = mphObj.projectPre + p[1][0][1] + mphObj.projectSuf;
			else mphObj.next = mphObj.menu;
		mphObj.prevNonQuestion = true;
	} else {
		if (mphObj.pos[1] < p[mphObj.currTopicNum][mphObj.pos[0]].length - 1) {
			mphObj.next = mphObj.projectPre + p[mphObj.currTopicNum][mphObj.pos[0]][mphObj.pos[1] + 1] + mphObj.projectSuf;
			if (mphPrefs.singleTopic && mphObj.topicCompleted[0] != 2) mphObj.topicCompleted[0] = 1;
				else if (mphObj.currTopicNum != 0 && mphObj.topicCompleted[mphObj.currTopicNum - 1] != 2) mphObj.topicCompleted[mphObj.currTopicNum - 1] = 1;
		} else {
			mphObj.next = mphObj.projectPre + p[mphObj.currTopicNum][mphObj.pos[0]][0] + mphObj.projectSuf;
			if (mphPrefs.singleTopic) mphObj.topicCompleted[0] = 2;
				else if (mphObj.currTopicNum != 0) mphObj.topicCompleted[mphObj.currTopicNum - 1] = 2;
			if (mphPrefs.noNextAtTopicEnd) mphObj.dontStopAtEnd = false;
		}
		var tmp = p[mphObj.currTopicNum][mphObj.pos[0]][mphObj.pos[1] - 1];
		if (typeof tmp !== 'undefined') {
			mphObj.prev = mphObj.projectPre + tmp + mphObj.projectSuf;
			mphObj.prevNonQuestion = (tmp.indexOf("q") == -1);
		} else {
			mphObj.prev = "";
			mphObj.prevNonQuestion = true;
		}
	}
};
mph.setTopicTitle = function() {
	if (mphPrefs.singleTopic || mphObj.isPreview) return;
	mphObj.topicTitle.firstChild.nodeValue =  (mphObj.currTopicNum > 0 ? mphPrefs.menuTitlesTopDisplay[mphObj.currTopicNum-1] : "");
};
// get the p (page) array location
mph.getCurrent = function() {
	for (var i=0; i<p[mphObj.currTopicNum].length; i++) {
		for (var j=0; j<p[mphObj.currTopicNum][i].length; j++) {
			if (mphObj.currPage==p[mphObj.currTopicNum][i][j]) return [i,j];
		}
	}
	// is there some error?
	return null;
};
// Position the progress bar
mph.progressBar = function(posArray) {
	var progPos = 0;
	if (mphObj.currTopicNum==0 && !mphPrefs.singleTopic) progPos = -mphObj.progBarWidth;
		else progPos = parseInt( (mphObj.progBarWidth * mphObj.rootPos[mphObj.currPage] / (p[mphObj.currTopicNum][0].length - 1)) - mphObj.progBarWidth,10)
	isNaN(progPos) ? progPos = "0 0" : progPos = progPos + "px 0"
	mphObj.progBar.style.backgroundPosition = progPos;
};
// Navigation controls
mph.navNorm = function() {
	var tmp = navObj[this.number];
	tmp.style.backgroundPosition = "0 0";
	tmp.style.cursor = "default";
};
mph.navHigh = function() {
	var tmp = navObj[this.number];
	tmp.style.backgroundPosition = "0 -53px";
	tmp.style.cursor = mphObj.mphCursor;
};
mph.navOnclick = function(dir) {
	var tmp = (isNaN(dir) ? this.number : dir);
	
	if (tmp==0) { mph.quit();
	} else if (tmp==1) { mph.gotoNewPage(mphObj.menu);
	} else if (tmp==2) { mph.gotoNewPage(mphObj.prev);
	} else if (tmp==3) {
		// next clicked
		var nxtpg = mphObj.next;
		// check for remediation
		if (typeof remediation != "undefined") {
			var trigger = mph.remediation.trigger();
			if (trigger !== null && !mph.remediation.isPassed(trigger)) {
				nxtpg = remediation[trigger].start;
			}
		}
		mph.gotoNewPage(nxtpg);
	}
};
mph.quit = function() {
	if (mphObj.isPreview) {
		mph.close();
	} else if ( confirm("Are you sure you want to exit this course?\n\nClick 'Cancel' to return to the course or 'OK' to exit.") ) {
		mphObj.refresh = false;
		mph.update();
		mph.close();
	}
};
mph.update = function() {
	window.onbeforeunload = null;
	if (!mphPrefs.LMS) {
		var cur = mphMain.location.href.toLowerCase();
		var loc = cur.substring(cur.lastIndexOf("/")+1,cur.length);
		if (mphObj.isTest) loc = "";
		
		if (loc.indexOf("signin.") != -1 || loc.indexOf("signin_") != -1 || loc.indexOf("register.") != -1 || loc.indexOf("register_") != -1 || loc.indexOf("error") != -1) return;
		if (mphPrefs.sendEmail) mph.message();
		
		var tmp		 = {};
		var dataElem = [];
		var dataValu = [];
		
		if (mphObj.isTest) mphObj.notes.location = "";
		// save resume data
		if (mphPrefs.record) {
			if (mphPrefs.allowResume) {
				tmp.assess = mphAssessScore;
				tmp.loc    = mphObj.notes.location;
				tmp.rem    = [];
				
				if (typeof remediation != "undefined") {
					for (var i = 0; i < remediation.length; i++) {
						tmp.rem.push(remediation[i].tally);
					}
				}
			}
			tmp.limit  	 = mphObj.numAssessTries;
			tmp.progress = mphObj.topicCompleted.toString();
			
			// Case 1. no sign in
			if (!mphPrefs.signin) {
				mphObj.createCookie("CourseNotes",tmp.toJSONString(),8);
			}
			// Case 2. sign in + standalone
			if (mphPrefs.signin && !mphPrefs.localDB && !mphPrefs.webDB) {
				mphObj.createCookie("CourseNotes"+mphObj.mphname+"_"+mphObj.mphID+"_"+mphObj.mphpwd,tmp.toJSONString(),8);
			}
			// Case 3. sign in + db
			if (mphPrefs.signin && (mphPrefs.localDB || mphPrefs.webDB)) {
				dataElem.push("Progress");
				dataValu.push( mphObj.topicCompleted.toString() );
				dataElem.push("CourseLimit");
				dataValu.push( mphObj.numAssessTries );
				dataElem.push("CourseNotes");
				dataValu.push( tmp.toJSONString() );
				
				if (mphPrefs.localDB) {
					mphDB.writeData(dataElem.join("~r~"), dataValu.join("~r~"), true);
				} else if (mphPrefs.webDB) {
					mphWeb.writeData(dataElem.join("~r~"), dataValu.join("~r~"), true);
				}
			}
			
		}
	}
	if (!mphObj.isPreview && mphObj.refresh) {
		var exitstr  = "You are attempting to refresh (or perhaps close) the browser window, this course will now exit.";
		var exitstr2 = "\nUnfortunately some data may not have been saved.";
		exitstr2 += "\nYou should always use the 'Quit' navigation button to exit.";
		alert(exitstr + (mphPrefs.LMS?exitstr2:""));
		self.close();
	}
	try { if (mphObj.pop && !mphObj.pop.closed) mphObj.pop.close(); } catch (e) { ; };
};
mph.close = function(tm) {
	if (mphPrefs.allowResume) {
		if (!mphPrefs.signin && !mphPrefs.LMS) {
			var tmp 		= {};
			tmp.assess 		= mphAssessScore;
			tmp.loc 		= mphObj.notes.location;
			tmp.progress 	= mphObj.topicCompleted.toString();
			mphObj.createCookie("CourseNotes",tmp.toJSONString(),8);
		}
	}
	if (mphPrefs.LMS) mphLMS.endSCO();
	setTimeout("self.close()", mphPrefs.LMS?800:300);
};
mph.setNavHighlights = function(btns, delay) {
	// delay enabling next button
	var delay = delay || false;
	if (btns[3] && mphPrefs.nextBtnDelay && delay) {
		btns[3] = 0;
		mphObj.nextBtnDelayID = mphObj.timeouts.length;
		mphObj.timeouts[mphObj.nextBtnDelayID] = setTimeout(function() {
			clearTimeout( mphObj.timeouts[mphObj.nextBtnDelayID] );
			mphObj.buttons[3] = 1;
			mph.setNavHighlights(mphObj.buttons);
		}, mphPrefs.nextBtnDelay * 1000);
	}
	mphObj.buttons = btns;
	/* btns is an array [quit, menu, back, next]
	0 mean no highlight, 1 display a highlight */
	for( var i=0; i<btns.length; i++) {
		if ( i==0 && !mphPrefs.quitVisible) continue;
		if ( i==1 && !mphPrefs.menuVisible) continue;
		if ( i==2 && !mphPrefs.backVisible) continue;
		if ( i==3 && !mphPrefs.nextVisible) continue;
		var tmp = (btns[i]==1);
		navObj[i].onmouseout  = tmp ? mph.navNorm : null;
		navObj[i].onmouseover = tmp ? mph.navHigh : null;
		navObj[i].onclick 	  = tmp ? mph.navOnclick : null;
		
		navObj[i].style.backgroundPosition = (btns[i]==1) ? "0 0" : "0 -106px";
		navObj[i].style.cursor = tmp ? mphObj.mphCursor : "default";
		navObj[i].setAttribute("title", tmp ? mphPrefs.navTitles[i] : "" );
	}
};
mph.getElementPositionAndSize = function (elemID) {
	var offsetTrail = (typeof elemID == "string"?mphMain.document.getElementById(elemID):elemID);
	var offsetLeft = 0;
	var offsetTop = 0;
	var offsetWidth = offsetTrail.offsetWidth;
	var offsetHeight = offsetTrail.offsetHeight;
	while (offsetTrail) {
		offsetLeft += offsetTrail.offsetLeft;
		offsetTop += offsetTrail.offsetTop;
		offsetTrail = offsetTrail.offsetParent;
	}
	var offsetLeftCentre = offsetLeft + offsetWidth/2;
	var offsetTopCentre = offsetTop + offsetHeight/2;
	
	return [offsetLeft, offsetTop, offsetWidth, offsetHeight, offsetLeftCentre, offsetTopCentre];
};
mph.changeImage = function(imgID,imgFile){
	var theImg = mphMain.document.getElementById(imgID);
	theImg.setAttribute("src", imgFile);
};
mph.resultTally = function(result) {
	if (mphPrefs.assessable[mphObj.currTopicNum]) mphAssessScore[mphObj.currPage] = result;

	if (typeof remediation != "undefined") mph.remediation.tally(result);
};
mph.endResult = function(neh,oxi) {
	clearTimeout( mphObj.currTimeout );
	mphObj.currTimeout = 0
	neh = neh || false;
	
	var anyQ = mphPrefs.assessable.toString();	
	var test = (mphPrefs.assessment || anyQ.indexOf("1")!=-1 )
	
	if (mphObj.isTest) {
		// disable back button
		mphObj.buttons[2] = 0;
		mph.setNavHighlights(mphObj.buttons, true);
	}
	
	if (test) {
		var tmp = mph.setFinal();
		
		if (mphPrefs.LMS) {
			mphLMS.saveScore(tmp);
		} else if (mphPrefs.record) {
			// called from pref screen
			if (neh) {
				if (mphPrefs.sendEmail) mphObj.score = tmp;
				if (mphPrefs.localDB) mphDB.writeData("Score",tmp);
				if (mphPrefs.webDB) mphWeb.writeData("Score", tmp, false);
			}
		}
	}
	if (neh) {
		// go to the results page
		var page = neh;
		// Check if there's no assessment and no assessable questions
		// so you don't go to fail screen	
		if (test && tmp < mphPrefs.assessPassMark ) {
			page = oxi;
			if (mphPrefs.LMS && (mphLMS.scormVersion==12)) {
				mphLMS.scormSetValue("cmi.core.lesson_status", "failed",true);
			} else if (mphPrefs.LMS && (mphLMS.scormVersion==2004)) {
				mphLMS.scormSetValue("cmi.success_status", "failed",true);
			}
		} else if (test) {
			if (mphPrefs.LMS && (mphLMS.scormVersion==12)) {
				mphLMS.scormSetValue("cmi.core.lesson_status", "passed",true);
			} else if (mphPrefs.LMS && (mphLMS.scormVersion==2004)) {
				mphLMS.scormSetValue("cmi.success_status", "passed",true);
			}
		}
		mph.gotoNewPage( mphObj.projectPre + page + mphObj.projectSuf );
	}
};
mph.setFinal = function() {
	var total = mphObj.normTotal + mphObj.questionTotal;
	mphObj.count = 0;
	mphObj.judged = 0;
	for (var i in mphAssessScore) {
		if (mphAssessScore.hasOwnProperty(i)) {
			if (mphAssessScore[i]) mphObj.count++;
			if (mphAssessScore[i] != null) mphObj.judged++;
		}
	}
	var tmp = Math.round(mphObj.count * 100 / total);
	return isNaN(tmp)?0:tmp;
};
mph.feedback = function(answered) {
	// stop the local timeout
	if (mphObj.isTest && mphPrefs.assessTimeEach && (answered || mphPrefs.assessFeedback || mphPrefs.assessShowCorrect) ) {
		mph.stopLocalTimer();
	}
	
	// set the feedback text
	var showAlert = true;
	if (mphObj.isTest) {
		if (!mphPrefs.assessFeedback) {
			showAlert = false;
		} else {
			if (typeof mphFdbck[mphObj.currPage]!=='undefined') mphObj.msg = (answered)?mphFdbck[mphObj.currPage][1]:mphFdbck[mphObj.currPage][0];
				else mphObj.msg = (answered)?mphPrefs.assDefaultFdbck[1]:mphPrefs.assDefaultFdbck[0];	
		}
	} else {
		if (!mphPrefs.showFeedback) {
			showAlert = false;
		} else {
			if (typeof mphFdbck[mphObj.currPage]!=='undefined') mphObj.msg = (answered)?mphFdbck[mphObj.currPage][1]:mphFdbck[mphObj.currPage][0];
				else mphObj.msg = (answered)?mphPrefs.intDefaultFdbck[1]:mphPrefs.intDefaultFdbck[0];
		}
	}
	if (showAlert) {
		// draw the table that is used as the alert box
		var bodyEl = mphMain.document.body;
		var mytable = mphMain.document.createElement("TABLE");
		if (mphObj.isIE) mytable.setAttribute("cellSpacing", 0 );
		mytable.setAttribute( (mphObj.isIE?"className":"class"), (answered?"alert alertC":"alert alertW") );
		mytable.setAttribute("id", "alert");
		var mytablebody = mphMain.document.createElement("TBODY");
		// First row
		var mycurrent_row = mphMain.document.createElement("TR");
		var mycurrent_cell = mphMain.document.createElement("TD");
		mycurrent_cell.setAttribute( (mphObj.isIE?"className":"class"), (answered?"alertTopRowC":"alertTopRowW") );
		// add the feedback text
		var msg = mphObj.msg.split("\n");
		if (msg.length==1) {
			var currenttext = mphMain.document.createTextNode(mphObj.msg);
			mycurrent_cell.appendChild(currenttext);
		} else {
			var currenttext, linebreak, len = msg.length - 1;
			for (var i=0; i<len; i++) {
				currenttext = mphMain.document.createTextNode(msg[i]);
				mycurrent_cell.appendChild(currenttext);
				linebreak = mphMain.document.createElement("BR");
				mycurrent_cell.appendChild(linebreak);
			}
			currenttext = mphMain.document.createTextNode(msg[len]);
			mycurrent_cell.appendChild(currenttext);
		}
		mycurrent_cell.appendChild(currenttext);
		mycurrent_row.appendChild(mycurrent_cell);
		mytablebody.appendChild(mycurrent_row);			
		// Second row
		mycurrent_row = mphMain.document.createElement("TR");
		mycurrent_cell = mphMain.document.createElement("TD");
		mycurrent_cell.setAttribute( (mphObj.isIE?"className":"class"), (answered?"alertBottomRowC":"alertBottomRowW") );
		mycurrent_cell.setAttribute("height","30");
		mycurrent_cell.setAttribute("align","center");
		mycurrent_cell.setAttribute("valign","middle");
		// creates a button
		currenttext = mphMain.document.createElement("INPUT");
		currenttext.setAttribute("type","button");
		currenttext.setAttribute("id","ok");
		currenttext.setAttribute("value","  OK  ");
		
		mycurrent_cell.appendChild(currenttext);
		mycurrent_row.appendChild(mycurrent_cell);
		mytablebody.appendChild(mycurrent_row);
		mytable.appendChild(mytablebody);
		bodyEl.appendChild(mytable);
		
		Drag.init(mytable);
		mytable.style.left = "355px";
		mytable.style.top = "200px";
		
		mph.answered = answered;
		mphMain.document.getElementById("ok").onclick = mph.removeAlert;
		mphMain.document.onkeypress = function(e) {
			e = e || mphMain.event;
			var charCode = (e.charCode) ? e.charCode :
						  ((e.keyCode) ? e.keyCode : 
						  ((e.which) ? e.which : 0));
			// Enter key pressed
			if (charCode == 13) mph.removeAlert();
		};
	} else {
		mph.continueAnswered(answered);
	}
};
mph.removeAlert = function() {
	var el;
	if (el = mphMain.document.getElementById("alert")) mphMain.document.body.removeChild(el);
	mph.continueAnswered(mph.answered);
	mphMain.document.onkeypress = null;
	if (mphPrefs.autoProgress) mph.gotoNewPage(mphObj.next);
};
mph.continueAnswered = function(answered) {
	if (!mphPrefs.showCorrect && mphPrefs.multiAttempt && !answered && !mphObj.isTest) {
		if (mphObj.currQtype=="mc") mcObj.resetQuestion();
		else if (mphObj.currQtype=="tf") mcObj.resetQuestion();
		else if (mphObj.currQtype=="cp") cpObj.resetQuestion();
		else if (mphObj.currQtype=="fb") fbObj.resetQuestion();
		else if (mphObj.currQtype=="mp") mpObj.resetQuestion();
		else if (mphObj.currQtype=="pi") piObj.resetQuestion();
		else if (mphObj.currQtype=="sr") mphMain.sObj.resetQuestion();
		else if (mphObj.currQtype=="ft") mphMain.ft.resetQuestion();
	} else {
		if (mphPrefs.nextVisible) mph.enableNext();
			else mph.navOnclick(3);
	}
};
mph.enableNext = function() {
	mphObj.buttons[3] = 1;
	mph.setNavHighlights(mphObj.buttons);
};
mph.disableNext = function() {
	if (mphObj.nextBtnDelayID != null) clearTimeout( mphObj.timeouts[mphObj.nextBtnDelayID] );
	mphObj.buttons[3] = 0;
	mph.setNavHighlights(mphObj.buttons);
};
mph.stopEventBubble = function(e) {
	e = e || mphMain.event; // IE Event model
	if (e.stopPropagation) e.stopPropagation(); // IE
		else e.cancelBubble = true; // DOM level 2
};
// set time limit in assessment
mph.timeLimit = function() {
	if (mphPrefs.assessTimeEach) {
		mphObj.currTimeout = setTimeout("mph.navOnclick(3)", mphPrefs.assessTimeEach*1000);
	} else {
		if(mphObj.currTimeout==0) mphObj.currTimeout = setTimeout( "mph.gotoNewPage(mphObj.feedback)" , mphPrefs.assessTimeAll*1000);
	}
	if (mphPrefs.showTimeRemaining && !mphObj.testTimer) {
		mphObj.timeCount = (mphPrefs.assessTimeEach)?mphPrefs.assessTimeEach:mphPrefs.assessTimeAll;
		mph.showTime();
		mphObj.timerID[0].style.visibility = "visible";
		mphObj.testTimer = setInterval("mph.countDown()", 1000);
	}
};
mph.countDown = function() {
	if (mphObj.timeCount==0) {
		clearInterval(mphObj.testTimer);
		mphObj.testTimer = 0;
		return;
	} else {
		mphObj.timeCount--;
		mph.showTime();
	}
};
mph.showTime = function() {
	var tMin = parseInt(mphObj.timeCount/60,10)+"";
	if (tMin.length==1) tMin = "0" + tMin;
	var tSec = (mphObj.timeCount%60)+"";
	if (tSec.length==1) tSec = "0" + tSec;
	var pos = [];
	pos[0] = parseInt(tMin.charAt(0),10);
	pos[1] = parseInt(tMin.charAt(1),10);
	pos[2] = parseInt(tSec.charAt(0),10);
	pos[3] = parseInt(tSec.charAt(1),10);
	
	mphObj.timerID[1].style.backgroundPosition = "-1px "+ (-mphObj.timerOffSet*pos[0] -1) +"px";
	mphObj.timerID[2].style.backgroundPosition = "-1px "+ (-mphObj.timerOffSet*pos[1] -1) +"px";
	mphObj.timerID[3].style.backgroundPosition = "-1px "+ (-mphObj.timerOffSet*pos[2] -1) +"px";
	mphObj.timerID[4].style.backgroundPosition = "-1px "+ (-mphObj.timerOffSet*pos[3] -1) +"px";
};
mph.stopLocalTimer = function() {
	clearTimeout(mphObj.currTimeout);
	mphObj.currTimeout = 0;
	clearInterval(mphObj.testTimer);
	mphObj.testTimer = 0;
};
mph.cleanUp = function() {
	mphObj.innerStr = "";
	mphObj.isQuestion = false;
	mphObj.isMenu =false;
	mphObj.isFeedback =false;
	mphObj.currQtype = "";
	
	mphMain.document.oncontextmenu = function() { return false;}
	
	// clear any timeouts
	while (mphObj.timeouts.length>0) clearTimeout( mphObj.timeouts.pop() );
	if ((mphObj.currTopicNum==0 && !mphPrefs.singleTopic) || (mphObj.currPage==p[0][0][0] && mphPrefs.singleTopic) || mphPrefs.assessTimeEach) {
		clearTimeout( mphObj.currTimeout );
		mphObj.currTimeout = 0
		clearInterval(mphObj.testTimer);
		mphObj.testTimer = 0;
	}
};
mph.clearTestTimer = function() {
	mphObj.timerID[0].style.visibility = "hidden";
	clearInterval(mphObj.testTimer);
	mphObj.testTimer = 0;
};
mph.createMenu = function() {
	if (mphPrefs.singleTopic) return;
	
	var i, bodyEl = mphMain.document.body;
	
	if ((p.length - 1 > 8) || mphPrefs.mainMenuOnlyListMenu) {
		var itemH = 40; // the height of a menu item is 40
		var y1 = 0;
		if ((p.length - 1) < 13) y1 = parseInt((560 - (p.length - 1) * itemH) / p.length, 10) - 1;
		else y1 = 6;
		
		for (i = 0; i < p.length - 1; i++) {
			var t = mphMain.document.createElement("TABLE");
			t.setAttribute((mphObj.isIE ? "className" : "class"), "menu");
			t.setAttribute("id", "menu" + i);
			t.style.width = "725px";
			var b = mphMain.document.createElement("TBODY");
			var r = mphMain.document.createElement("TR");
			var c = mphMain.document.createElement("TD");
			c.style.textAlign = "center";
			c.style.verticalAlign = "middle";
			c.style.width = "40px";
			c.style.height = "40px";
			
			var myimg = mphMain.document.createElement("IMG");
			c.appendChild(myimg);
			if (mphPrefs.mainMenuDontAllowImages) myimg.src = "scripts/pics/x.gif";
			else myimg.src = "images/m" + i + mphObj.imgExt;
			r.appendChild(c);
			
			// space for topic tick
			c = mphMain.document.createElement("TD");
			c.style.width = "30px";
			r.appendChild(c);
			
			c = mphMain.document.createElement("TD");
			c.style.fontWeight = "bold";
			var txt = mphMain.document.createTextNode(mphPrefs.menuTitles[i]);
			c.appendChild(txt);
			r.appendChild(c);
			b.appendChild(r);
			
			b.appendChild(r);
			t.appendChild(b);
			bodyEl.appendChild(t);
			
			var tc = mphMain.document.getElementById("menu" + i);
			tc.style.position = "absolute";
			tc.style.left = "250px";
			tc.style.top = y1 * (i + 1) + itemH * i + "px";
			tc.style.cursor = mphObj.mphCursor;
			tc.number = i;
			if (i == p.length - 2) mphObj.menuTopic = i;
			tc.onclick = mph.menuLink;
			
			if (mphObj.topicCompleted[i] > 0) mph.topicTicks(bodyEl, tc, i, false);
		}
	} else {
	
		for (i = 0; i < p.length - 1; i++) {
			var t = mphMain.document.createElement("TABLE");
			t.setAttribute((mphObj.isIE ? "className" : "class"), "menu");
			t.setAttribute("id", "menu" + i);
			t.style.width = "200px";
			var b = mphMain.document.createElement("TBODY");
			var r = mphMain.document.createElement("TR");
			var c = mphMain.document.createElement("TD");
			c.style.height = "175px";
			c.style.textAlign = "center";
			c.style.verticalAlign = "middle";
			
			var myimg = mphMain.document.createElement("IMG");
			c.appendChild(myimg);
			if (mphPrefs.mainMenuDontAllowImages) myimg.src = "scripts/pics/x.gif";
			else myimg.src = "images/mm" + i + mphObj.imgExt;
			r.appendChild(c);
			b.appendChild(r);
			
			var r = mphMain.document.createElement("TR");
			c = mphMain.document.createElement("TD");
			c.style.textAlign = "center";
			c.style.paddingTop = "4px";
			c.style.paddingLeft = "38px";
			c.style.fontWeight = "bold";
			var txt = mphMain.document.createTextNode(mphPrefs.menuTitles[i]);
			c.appendChild(txt);
			r.appendChild(c);
			
			b.appendChild(r);
			t.appendChild(b);
			bodyEl.appendChild(t);
			
			var tc = mphMain.document.getElementById("menu" + i);
			if (p.length - 1 == 1) var pos = [404, 164];
				else if (p.length - 1 == 2) var pos = [261, 120, 547, 120];
				else if (p.length - 1 == 3) var pos = [158, 120, 404, 120, 650, 120];
				else if (p.length - 1 == 4) var pos = [65, 120, 291, 120, 517, 120, 743, 120];
				else if (p.length - 1 == 5) var pos = [65, 75, 291, 75, 517, 75, 743, 75, 65, 318];
				else if (p.length - 1 == 6) var pos = [65, 75, 291, 75, 517, 75, 743, 75, 65, 318, 291, 318];
				else if (p.length - 1 == 7) var pos = [65, 75, 291, 75, 517, 75, 743, 75, 65, 318, 291, 318, 517, 318];
				else if (p.length - 1 == 8) var pos = [65, 75, 291, 75, 517, 75, 743, 75, 65, 318, 291, 318, 517, 318, 743, 318];
			tc.style.position = "absolute";
			tc.style.left = pos[i * 2] + "px";
			tc.style.top  = pos[i * 2 + 1] + "px";
			tc.style.cursor = mphObj.mphCursor;
			tc.number = i;
			if (i == p.length - 2) mphObj.menuTopic = i;
			tc.onclick = mph.menuLink;
			
			if (mphObj.topicCompleted[i] > 0) mph.topicTicks(bodyEl, tc, i, true);
		}
	}
	if (mphObj.isIE6) mph.makeAlphaPNG();
};
mph.topicTicks = function(bodyEl,tc,i,large) {
	if (mphObj.isPreview) return;
	
	myimg = mphMain.document.createElement("IMG");
	if (mphObj.topicCompleted[i]==1) myimg.src = "scripts/pics/topic_start.jpg";
		else myimg.src = "scripts/pics/topic_complete.jpg";
	myimg.setAttribute("id", "img"+i);
	bodyEl.appendChild(myimg);
	var tmp = mphMain.document.getElementById("img"+i);
	tmp.style.position = "absolute";
	tmp.style.left = parseInt(tc.style.left,10) + (large? 10:45) + "px";
	tmp.style.top  = parseInt(tc.style.top, 10) + (large?179:10) + "px";
};
mph.menuLink = function() {
	if (mphObj.isPreview) return;
	
	// if called from outline
	var num = (typeof this.number == 'undefined' ? mphObj.menuTopic : this.number);
	
	// complete topics in order
	if (mphPrefs.completeTopicsInOrder && num && (mphObj.topicCompleted[num-1] != 2)) {
		alert("Topics may only be completed in order.");
		return;
	}
	
	// another attempt at assessment allowed
		if (mphPrefs.assessTryLimit 
		&& mphObj.numAssessTries>=mphPrefs.assessTryLimit 
		&& mphPrefs.assessment 
		&& (num+2)==p.length 
		&& !mphPrefs.LMS) {
		alert("You are not permitted another attempt at the assessment.");
		return;
		
	} else if (mphPrefs.assessment && (num+2)==p.length) {
		if (mphPrefs.assessRandom) mph.shuffleQuestions();
		mph.checkNumOfQuestions();
		mph.rootLevelPos();
		mph.clearAssessScore();
		mphObj.numAssessTries++;
	}
	
	var pg = mphObj.projectPre + p[num + 1][0][1] + mphObj.projectSuf;
	mph.gotoNewPage(pg);
};
mph.drawShapes = function(shapes) {
	var doc = mphMain.document, sl = shapes.length;
	// try VML, otherwise use wz_graphics
	if (mphObj.isIE) {
		if (!doc.namespaces["v"]) {
			// create xmlns
			doc.namespaces.add("v","urn:schemas-microsoft-com:vml");
			// setup css
			var ss = doc.createStyleSheet();
			ss.cssText = "v\\:*{behavior:url(#default#VML)}";
        }
		
		function drawVMLShape(shapeType,js_name,filled) {
			var filled = filled || false;
			m = doc.createElement("v:"+shapeType);
			m.style.position = "absolute";
			
			m.style.left = shapes[i][3]+"px";
			m.style.top = shapes[i][4]+"px";
			
			m.style.width = shapes[i][5]+"px";
			m.style.height = shapes[i][6]+"px";
			
			m.strokeweight = shapes[i][2]+"px";
			
			if (filled) {
				m.fillcolor = shapes[i][1];
				if ((i+1 < sl) && 
					(shapes[i+1][0]==js_name) && 
					(shapes[i].slice(2,shapes[i].length).toString() == shapes[i+1].slice(2,shapes[i+1].length).toString())) {
					m.strokecolor = shapes[i+1][1];
					i++;
				} else {
					m.strokecolor = shapes[i][1];
				}
			} else {
				m.strokecolor = shapes[i][1];
				n = doc.createElement("v:fill");
				n.on = "false";
				m.appendChild(n);
			}
		}
		var m, n;
		for (var i = 0; i<sl; i++) {
			if (shapes[i][0]=="line") {
				m = doc.createElement("v:line");
				m.style.position = "absolute";
				m.style.left = "0px";
				m.style.top = "0px";
				m.from = shapes[i][3]+","+shapes[i][4];
				m.to =  shapes[i][5]+","+shapes[i][6];
				m.strokeweight = shapes[i][2]+"px";
				m.strokecolor = shapes[i][1];
				n = doc.createElement("v:stroke");
				n.endcap = "round";
				m.appendChild(n);
				
			} else if (shapes[i][0]=="filled rect") {
				drawVMLShape("rect","rect",true);
			} else if (shapes[i][0]=="rect") {
				drawVMLShape("rect");
			} else if (shapes[i][0]=="filled ellipse") {
				drawVMLShape("oval","ellipse",true);
			} else if (shapes[i][0]=="ellipse") {
				drawVMLShape("oval");
			}
			
			doc.body.appendChild(m);
		}
		
	} else {
		// create DIVs for js graphics library to use
		var oDiv = doc.createElement("div");
		oDiv.setAttribute("id", "canvas");
		oDiv.style.position = "absolute";
		oDiv.style.left = "0px";
		oDiv.style.top = "0px";
		oDiv.style.width = "1px";
		oDiv.style.height = "1px";
		doc.body.appendChild(oDiv);
		
		// shapes array (type, line colour, line thickness, x1, y1, width, height)
		//	type: line; polyline; rect; filled rect; polygon; filled polygon; ellipse; filled ellipse
		var sh = new jsGraphics("canvas",mphMain);
		for (i=0; i<shapes.length; i++) {
			sh.setColor(shapes[i][1]);
			sh.setStroke(shapes[i][2]);
			if (shapes[i][0]=="line") sh.drawLine(shapes[i][3],shapes[i][4],shapes[i][5],shapes[i][6]);
				else if (shapes[i][0]=="polyline") sh.drawPolyline(); // not implemented in this version
				else if (shapes[i][0]=="rect") sh.drawRect(shapes[i][3],shapes[i][4],shapes[i][5]-shapes[i][2],shapes[i][6]-shapes[i][2]);
				else if (shapes[i][0]=="filled rect") sh.fillRect(shapes[i][3],shapes[i][4],shapes[i][5],shapes[i][6]);
				else if (shapes[i][0]=="polygon") sh.drawPolygon(); // not implemented in this version
				else if (shapes[i][0]=="filled polygon") sh.fillPolygon(); // not implemented in this version
				else if (shapes[i][0]=="ellipse") sh.drawEllipse(shapes[i][3],shapes[i][4],shapes[i][5]-shapes[i][2],shapes[i][6]-shapes[i][2]);
				else if (shapes[i][0]=="filled ellipse") sh.fillEllipse(shapes[i][3],shapes[i][4],shapes[i][5],shapes[i][6]);
		}
		sh.paint();
	}
};
// function to add a PARAM element to an element
mph.addParam = function(par,n,v) { //parent, name value
	if (mphObj.isIE) return; //
	var p = mphMain.document.createElement("param");
	p.name = n;
	p.value = v;
	par.appendChild(p);
};
// resize window if necessary
mph.resizeWin = function() {
	var x,y;
	if (self.innerHeight) {
		// all except Explorer
		x = self.innerWidth;
		y = self.innerHeight;
	} else if (document.documentElement && document.documentElement.clientHeight) {
		// Explorer 6 Strict Mode
		x = document.documentElement.clientWidth;
		y = document.documentElement.clientHeight;
	} else if (document.body) {
		// other Explorers
		x = document.body.clientWidth;
		y = document.body.clientHeight;
	}
	if (x!=1008 || y!=680) {
		var w = 1008 - x;
		var h = 680 - y;
		window.resizeBy(w,h);
	}
};
// Clear circular event references leaking memory (in IE mainly)
mph.flushEvents = function(win) {
	var m = win || mphMain;
	var el, allEl = m.document.getElementsByTagName("*");
	for (var d = allEl.length; d--;) {
		el = allEl[d];
		for (var c = mphObj.circularProps.length; c--;) {
			el[mphObj.circularProps[c]] = null;
		}
	}
	if (!win) mph.cacheEvent.flush();
};
// alpha-transparent PNG on IE 6
mph.makeAlphaPNG = function() {
	var c, s, t, tmp, numImages;
	numImages = mphMain.document.images.length;
	for (var i = 0; i < numImages; i++) {
		c = mphMain.document.images[i];
		s = c.src;
		if (s.indexOf("scripts/pics") != -1) continue;
		t = s.split(".");
		if ( (t[t.length-1]).toLowerCase() == "png") {
			c.style.filter = "progid:DXImageTransform.Microsoft.AlphaImageLoader(src='"+s+"', sizingMethod="+(mphObj.isMenu?"'image'":"'scale'")+")";
			c.src = (mphObj.isPreview?mphObj.path:mphObj.LMSpath)+"scripts/pics/x.gif";
		}
	}
};
//
mph.gotoNewPage = function(loc) {
	if (mphObj.isPreview) loc = p[0][0][0];
	
	// strip prefix
	if (mphObj.projectPrefix) loc = loc.replace(mphObj.projectPrefix+"_", "");
	
	// strip extensions
	loc = loc.replace(/.htm$/i, "");
	loc = loc.replace(/.asp$/i, "");
	loc = loc.replace(/.php$/i, "");
	
	if (!p.findValue(loc).length) return;
	
	// add extensions
	loc = mphObj.projectPrefix+"_" + loc + mphObj.projectSuf;
	mphObj.path =  mphObj.path || "";
	mphMain.location.replace((mphObj.isPreview?mphObj.path:mphObj.LMSpath)+loc);
	
	// IE is handled in ind.htm
	if (!mphObj.isIE) {
		document.getElementById("mainFrame").onload = function() {
			mphMain.document.oncontextmenu = function() { return false; }
			try { if (mphPrefs.outline) mphPrefs.outline.win.fHighlight(); } catch(err) { ; }
			try { SoundInit(); } catch(err) { ; }
		}
	}
	mph.setCurrent(loc);
};
// Open a screen as a popup window
mph.popup = function(u,w,h) {
	if (mphObj.isPreview) return;
	if (!u) return;
	try {
		if (mphObj.pop && !mphObj.pop.closed) mphObj.pop.close();
	} catch(err) { ; }
	
	
	w = w || 1008;
	h = h || 560;
	var aw = screen.availWidth - 10;
	var ah = screen.availHeight - 45;
	var xc = (aw - w) / 2;
	var yc = (ah - h) / 2;
	
	var str = "height=" + h + ",innerHeight=" + h + ",width=" + w + ",innerWidth=" + w;
	str += ",left=" + xc + ",screenX=" + xc + ",top=" + yc + ",screenY=" + yc;
	str += ",status=0,location=0,toolbar=0,menubar=0,directories=0";
	
	mphObj.pop = window.open(mphObj.projectPrefix +"_" + u + mphObj.projectSuf + "?isPopup", "mphpopup", str);
};
// Add a close button to a popup window
mph.addCloseButton = function() {
	var cBtn = mphObj.pop.document.createElement("P");
	var t = mphObj.pop.document.createTextNode("close window");
	cBtn.appendChild(t);
	
	cBtn.style.position = "absolute";
	cBtn.style.left 	= "6px";
	cBtn.style.top	 	= "6px";
	cBtn.style.zIndex 	= "2";
	cBtn.style.textAlign= "left";
	cBtn.style.margin	= "0";
	cBtn.style.cursor 	= mphObj.mphCursor;
	cBtn.style.fontFamily = "Verdana, Geneva, Arial, Helvetica, sans-serif";
	cBtn.style.fontSize	= "11px";
	
	cBtn.onmouseout 	= function(){ this.style.color = "#333333"; };
	cBtn.onmouseover 	= function(){ this.style.color = "#999999"; };
	cBtn.onclick 		= function(){ mphObj.pop.close(); };
	mphObj.pop.document.body.appendChild(cBtn);
	mphObj.pop.document.body.style.overflow = "hidden";
};
// Add footer to Assessment questions
mph.updateQuestionNum = function(curr) {
	var tmp = mphObj.questionOrder.find(curr);
	if (tmp != 0) {
		var d = mphMain.document.createElement("div");
		d.setAttribute("id", "footer");
		var txt = "Question "+tmp+" of "+mphObj.questionTotal;
		var t = mphMain.document.createTextNode(txt);
		d.appendChild(t);
		mphMain.document.body.appendChild(d);
	}
};
// emulate DOM swap node of IE
mph.doSwapNode = function(srcEl, destEl) {
	var nextSibling = srcEl.nextSibling;
	var parentNode = srcEl.parentNode;
	destEl.parentNode.replaceChild(srcEl, destEl);
	parentNode.insertBefore(destEl, nextSibling);
};
// replace vars in text with their values
mph.performanceScreen = function(el) {
	var source = ["{date}","{name}","{coursename}","{coursecode}","{judgedquestions}","{totalquestions}","{totalcorrect}","{totalscore}","{passmark}","{userid}"];
	var today = new Date()
	var rep = [];
	rep[0] = today.toLocaleDateString();
	rep[1] = mphObj.mphname;
	rep[2] = mphPrefs.courseName;
	rep[3] = mphPrefs.courseCode;
	rep[4] = mphObj.judged;
	rep[5] = mphObj.normTotal + mphObj.questionTotal;
	rep[6] = mphObj.count;
	rep[7] = mph.setFinal();
	rep[8] = mphPrefs.assessPassMark;
	rep[9] = mphObj.mphID;
	for (var i =0; i<source.length; i++) {
		mph.replaceText(mphMain.document.body,source[i],rep[i]);
	}
};
mph.replaceText = function(el,fnd,rep) {
	if (!el) el = mphMain.document.body;
	
	for (var c = 0; c < el.childNodes.length; c++) {
		if (el.childNodes[c].nodeType == 3) {
			if (el.childNodes[c].nodeValue.indexOf(fnd) != -1) el.childNodes[c].nodeValue = el.childNodes[c].nodeValue.split(fnd).join(rep);
		} else {
			mph.replaceText(el.childNodes[c],fnd,rep); 
		}
	}
};
// Print the current main page
mph.printPage = function() {
	oDiv = mphMain.document.getElementById("print");
	oDiv.style.visibility = "hidden";
	window.print();
	setTimeout("oDiv.style.visibility = 'visible'", 2000);
};
// Create a new array
// value; key; t=m decrypt, t=f encrypt;
mph.createArray = function(val,k,t) {
	var ar = [];
	var r = "";
	var c = [];
	var kl = k.length;
	var a = val.split("-");
	for (var i = 0; i < kl; i++) c[i] = k.charCodeAt(i);
	for (var i = 0; i < a.length-1; i++) r += String.fromCharCode(a[i] - c[i%kl]);
	if (t == "m") {
		var tmp = r.split(",");
		for (var i = 0; i < tmp.length; i++) ar[i] = Boolean(parseInt(tmp[i],10));
		return ar;
	} else if (t == "f") {
		r = r.replace(/\s/g,"");
		return r.split(",");
	}
    return r;
};
// send email
mph.message = function() {
	if (mphPrefs.email.length == 0) return;
	
	var to = mphPrefs.email;
	var subject = "Information sent from "+mphPrefs.courseName;
	var b = mphPrefs.courseName + " - ";
	b += "Please send this email. Do not edit or modify (including spell checking) this email in any way as it will render it unreadable. ";
	b += "ooo";
	
	var tmp = "Name: "+mphObj.mphname+"; ";
	tmp += "ID: "+mphObj.mphID+"; ";
	tmp += "Pwd: "+mphObj.mphpwd+"; ";
	var today = new Date()
	tmp += "Date: "+ today.toLocaleDateString();
	if (mphPrefs.record) {
		if (arguments.length) {
			// new addition, arg is an object in the form ({kind:"name",name:value})
			for (var i=0; i<arguments.length; i++) {
				if (arguments[i].kind =="email") {
					tmp += arguments[i][arguments[i].kind];
					break;
				}
			}
		} else {
			tmp += "; Progress: "+mphObj.topicCompleted.toString();
			tmp += "; Score: "+mphObj.score;
			if (mphPrefs.assessment) tmp += "; attempts: "+mphObj.numAssessTries;
		}
	}
	tmp += ".";
	
	function arrange(val,k) {
		var r = "";
		var c = [];
		var kl = k.length;
		for (var i = 0; i < kl; i++) c[i] = k.charCodeAt(i);
		for (var i = 0; i < val.length; i++) r += (val.charCodeAt(i) + c[i%kl] + "-");
		return r;
	}
	
	tmp = tmp.substring(0,421);
	b += arrange(tmp,mphObj.projectPrefix) + "ooo";
	var doc = "mailto:" + to + "?subject=" + escape(subject) + "&body=" + escape(b);
	
	if (mphObj.isIE) window.location = doc;
		else mphNav.document.getElementById("dev").src = doc;
};
// add Q to question panels
mph.qToPanels = function() {
	if (mphMain.document.getElementById("upperpanel")) var panel = mphMain.document.getElementById("upperpanel");
		else return;
	
	var myimg = mphMain.document.createElement("IMG");
	panel.insertBefore(myimg, panel.firstChild);
	myimg.src = "scripts/pics/q.png";
	myimg.title = "Question Logo"
	myimg.style.position = "absolute";
	myimg.style.marginLeft = "6px";
	myimg.style.marginTop = "6px";
};
// get the line colors for MP from the CSS
mph.getLineColors = function(doc, sel, prop) {
	if (mphObj.isIE) {
		for (var i=0; i<doc.styleSheets.length; i++) {
			for (var j=0; j<doc.styleSheets[i].imports.length; j++) {
				for (var k=0; k<doc.styleSheets[i].imports[j].rules.length; k++) {
					var tmp = doc.styleSheets[i].imports[j].rules[k];
					if (tmp.selectorText.toLowerCase() == sel.toLowerCase()) {
						return tmp.style[prop];
					}
				}
			}
		}
		
	} else {
		for (var i=0; i<doc.styleSheets.length; i++) {
			for (var j=0; j<doc.styleSheets[i].cssRules.length; j++) {
				for (var k=0; k<doc.styleSheets[i].cssRules[j].styleSheet.cssRules.length; k++) {
					var tmp = doc.styleSheets[i].cssRules[j].styleSheet.cssRules[k];
					if (tmp.selectorText.toLowerCase() == sel.toLowerCase()) {
						return tmp.style[prop];
					}
				}
			}
		}
	}
	return null;
};
mph.restoreLessonSettings = function(data) {
	if (typeof data == 'undefined') return;
	
	var tmp = mph.parseJSONstring( data );
	
	// restore assessment question scoring
	if (mphPrefs.allowResume && tmp.assess) mphAssessScore = tmp.assess;
	
	// restore topic progress
	if (tmp.progress) {
		if (mphPrefs.singleTopic) {
			mphObj.topicCompleted[0] = parseInt(tmp.progress,10);
		} else {
			mphObj.topicCompleted = tmp.progress.split(",");
			for (var i = 0; i < mphObj.topicCompleted.length; i++) {
				mphObj.topicCompleted[i] = parseInt(mphObj.topicCompleted[i],10);
			}
		}
	} else {
		if (mphPrefs.singleTopic) {
			mphObj.topicCompleted[0] = 1;
		} else {
			for (var i=0; i<(p.length-1) ;i++) mphObj.topicCompleted[i] = 0;
		}
	}
	
	// restore remediation
	if (mphPrefs.allowResume && (typeof remediation != "undefined") && tmp.rem) {
		for (var i = 0; i < tmp.rem.length; i++) {
			remediation[i].tally = tmp.rem[i];
		}
	}
	
	// restore number of assessment attempts
	if (tmp.limit && mphPrefs.allowResume) mphObj.numAssessTries = tmp.limit;
	
	// get the stored location
	if (!mphPrefs.LMS && tmp.loc && mphPrefs.allowResume) mphObj.notes.location = tmp.loc;
};
mph.gotoStoredLoc = function(init) {
	var data = null;
	
	if (!mphPrefs.signin && !mphPrefs.LMS) {
		data = mphObj.readCookie("CourseNotes");
		
	} else if (mphPrefs.signin && !mphPrefs.localDB && !mphPrefs.webDB && !mphPrefs.LMS) {
		data = mphObj.readCookie("CourseNotes"+mphObj.mphname+"_"+mphObj.mphID+"_"+mphObj.mphpwd);
		
	} else if (mphPrefs.signin && mphPrefs.localDB) {
		data = mphDB.readData("CourseNotes");
		
	} else if (mphPrefs.LMS && mphPrefs.allowResume) {
		if (mphLMS.scormVersion==12) mphObj.notes.location = mphLMS.scormGetValue("cmi.core.lesson_location");
			else if (mphLMS.scormVersion==2004) mphObj.notes.location = mphLMS.scormGetValue("cmi.location");
	}
	
	if (!mphPrefs.webDB && !mphPrefs.LMS) mph.restoreLessonSettings(data, mphPrefs.allowResume);
	
	if (mphObj.isPreview || !mphObj.notes.location || !confirm("It appears that you've been in this lesson before.\n\nDo you want to return to the last visited location?")) {
		mphObj.notes.location = init;
	}
	mph.gotoNewPage(mphObj.notes.location);
};
mph.storeCurrentLoc = function(loc) {
	var data;
	if (mphLMS.scormVersion==12) data = "cmi.core.lesson_location";
		else if (mphLMS.scormVersion==2004) data = "cmi.location";
	
	mphLMS.scormSetValue(data, loc,true);
};
// get mphMain element style
mph.getElStyle = function(el, IEcssPropName, cssPropName) {
	var y = null;
	if (el.currentStyle) y = el.currentStyle[IEcssPropName];
	else if (window.getComputedStyle) y = mphMain.document.defaultView.getComputedStyle(el,null).getPropertyValue(cssPropName);
	return y;
};
// cross browser way to add/remove multiple events
mph.addEvent = function(obj, type, fn){
	if (obj.addEventListener) {
		obj.addEventListener(type, fn, false);
		mph.cacheEvent.add(obj, type, fn);
	} else if (obj.attachEvent) {
		obj['e' + type + fn] = fn;
		obj[type + fn] = function() { obj['e' + type + fn](window.event); };
		obj.attachEvent('on' + type, obj[type + fn]);
		mph.cacheEvent.add(obj, type, fn);
	}
};
mph.removeEvent = function(obj, type, fn) {
	if (obj.removeEventListener) {
		obj.removeEventListener(type, fn, false);
	} else if (obj.detachEvent) {
		obj.detachEvent('on'+type, obj[type+fn]);
		obj[type+fn] = null;
	}
};
mph.cacheEvent = function() {
	var listEvents = [];
	return {
		listEvents: listEvents,
		add: function(node, sEventName, fHandler){
			listEvents.push(arguments);
		},
		flush: function(){
			var i, item;
			for (i = listEvents.length - 1; i >= 0; i = i - 1) {
				item = listEvents[i];
				try {
					if (item[0].removeEventListener) {
						item[0].removeEventListener(item[1], item[2], item[3]);
					};
					if (item[1].substring(0, 2) != "on") {
						item[1] = "on" + item[1];
					};
					if (item[0].detachEvent) {
						item[0].detachEvent(item[1], item[2]);
					};
					item[0][item[1]] = null;
				} catch (err) { ; }
			};
		}
	};
}();

if (typeof remediation != "undefined") {
	// Remediation functionality
	mph.remediation = {};
	// Is this a screen that triggers remediation
	// If it is return the remediation number,
	mph.remediation.trigger = function(){
		var len = remediation.length;
		if (!len) return null;
		
		for (var i = 0; i < len; i++) {
			if (remediation[i].trigger == mphObj.currPage) return i;
		}
		
		return null;
	};
	// Set whether each question is correct (as its attempted).
	// @val true is answered correctly else false
	mph.remediation.tally = function(val){
		var len = remediation.length;
		if (!len) return;
		
		var val = (val ? 1 : 0);
		var pos;
		for (var i = 0; i < len; i++) {
			pos = remediation[i].questions.find(mphObj.currPage);
			if (pos) remediation[i].tally[pos - 1] = val;
		}
	};
	// Has the user achieved the required % passmark for this remediation
	// @num the number of the remediation
	mph.remediation.isPassed = function(num){
		var len = remediation.length;
		if (!len) return true;
		
		len = remediation[num].tally.length;
		var sum = 0;
		for (var i = 0; i < len; i++) sum += remediation[num].tally[i];
		
		return (sum * 100 / len >= remediation[num].passmark);
	};
}

