/////////////////////////////////////////////////////
////////////// Sound Object - version 2 /////////////
SoundInit = function(pop) {
	var tmp = 0, snd = [], el;
	var main = (pop ? mphObj.pop : mphMain);
	// Check for the existence of audio OBJECT/EMBED tags
	// If you find one instantiate a object for it
	if (mphObj.isIE) {
		while (el = main.document.getElementById("sound"+tmp)) {
			snd[tmp] = new Sound(el, tmp, main);
			tmp++;
		}
	} else {
		while (el = main.document.embeds["sound"+tmp]) {
			snd[tmp] = new Sound(el, tmp, main);
			tmp++;
		}
	}
};
Sound = function(elem,num,main) {
	var me 	  = this;
	this.num  = num;
	this.elem = elem;
	this.main = main;
	
	this.playID = false;
	if (this.playID = this.main.document.getElementById("play"+this.num)) {
		this.playID.onclick = function(){
			me.playSound.apply(me, [me.elem]);
		};
		
		this.playID.style.cursor = mphObj.mphCursor;
		this.playID.onmouseover  = this.mOver;
		this.playID.onmouseout   = this.mOut;
		this.playID 			 = null;
	}
	
	this.stopID = false;
	if (this.stopID = this.main.document.getElementById("stop"+this.num)) {
		this.stopID.onclick = function(){
			me.stopSound.apply(me, [me.elem]);
		};
		
		this.stopID.style.cursor = mphObj.mphCursor;
		this.stopID.onmouseover  = this.mOver;
		this.stopID.onmouseout   = this.mOut;
		this.stopID 			 = null;
	}
};
Sound.prototype.mOver = function(){
	this.style.backgroundPosition = "0 -"+mphObj.btnPlayStopHeight+"px";
};
Sound.prototype.mOut = function(){
	this.style.backgroundPosition = "0 0";
};
Sound.prototype.playSound = function(el) {
	try { el.Play(); return; } catch(err) { ; }
	try { el.play(); return; } catch(err) { ; }
	try { el.controls.play(); return; } catch(err) { ; }
	try { el.DoPlay(); return; } catch(err) { ; }
};
Sound.prototype.stopSound = function(el) {
	try { el.Stop(); return; } catch(err) { ; }
	try { el.stop(); return; } catch(err) { ; }
	try { el.controls.stop(); return; } catch(err) { ; }
	try { el.DoStop(); return; } catch(err) { ; }
};
